<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>i3plus.ext.mes.pcn</groupId>
        <artifactId>i3plus-ext-mes-pcn</artifactId>
        <version>1.0.0.1</version>
        <relativePath>../../pom.xml</relativePath>
    </parent>

    <artifactId>i3plus-ext-mes-pcn-apiservice</artifactId>
    <packaging>jar</packaging>

    <dependencies>
        <!-- impp framework -->
        <dependency>
            <groupId>impp.framework</groupId>
            <artifactId>impp-framework-boot</artifactId>
        </dependency>

        <dependency>
            <groupId>i3plus.ext.mes.pcn</groupId>
            <artifactId>i3plus-ext-mes-pcn-api</artifactId>
        </dependency>

        <dependency>
            <groupId>i3plus.mes.pcn</groupId>
            <artifactId>i3plus-mes-pcn-apiservice</artifactId>
        </dependency>

        <dependency>
            <groupId>i3plus.mes.pcn</groupId>
            <artifactId>i3plus-mes-pcn-api</artifactId>
        </dependency>

        <dependency>
            <groupId>i3plus.ext.mes.pcn</groupId>
            <artifactId>i3plus-ext-mes-pcn-pojo</artifactId>
        </dependency>

        <dependency>
            <groupId>i3plus.icloud</groupId>
            <artifactId>i3plus-icloud-core</artifactId>
        </dependency>

        <dependency>
            <groupId>i3plus.icloud</groupId>
            <artifactId>i3plus-icloud-andon</artifactId>
        </dependency>

        <dependency>
            <groupId>i3plus.pojo</groupId>
            <artifactId>i3plus-pojo-base</artifactId>
        </dependency>

        <dependency>
            <groupId>i3plus.pojo</groupId>
            <artifactId>i3plus-pojo-mes</artifactId>
        </dependency>

        <dependency>
            <groupId>i3plus.platform</groupId>
            <artifactId>i3plus-platform-common</artifactId>
        </dependency>

        <dependency>
            <groupId>i3plus.platform</groupId>
            <artifactId>i3plus-platform-plugin</artifactId>
        </dependency>
        <dependency>
            <groupId>i3plus.ext.mes.pcn</groupId>
            <artifactId>i3plus-ext-mes-pcn-icloud</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <!-- 平台boot服务 -->
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <mainClass>cn.estsh.impp.framework.run.ImppGo</mainClass>
                    <layout>JAR</layout>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <!--为了spring boot的yml和properties文件能够使用maven变量替换,使用${}占位符-->
            <plugin>
                <artifactId>maven-resources-plugin</artifactId>
                <configuration>
                    <encoding>utf-8</encoding>
                    <useDefaultDelimiters>true</useDefaultDelimiters>
                </configuration>
            </plugin>
        </plugins>
        <!-- 资源文件位置描述 -->
        <sourceDirectory>src/main/java</sourceDirectory>
        <testSourceDirectory>src/test/</testSourceDirectory>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>

        <finalName>${parent.artifactId}-${project.version}</finalName>
    </build>
</project>
